Get disputes
curl --request GET \
--url https://api-sandbox.rinne.com.br/core/v1/disputes \
--header 'x-api-key: <api-key>'import requests
url = "https://api-sandbox.rinne.com.br/core/v1/disputes"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api-sandbox.rinne.com.br/core/v1/disputes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"transaction_id": "123e4567-e89b-12d3-a456-426614174001",
"company_id": "123e4567-e89b-12d3-a456-426614174002",
"company_name": "Acme",
"company_full_name": "Acme Payments LTDA",
"organization_id": "123e4567-e89b-12d3-a456-426614174003",
"provider": "CELCOIN",
"type": "PIX_INFRACTION",
"status": "OPEN",
"outcome": null,
"amount": 9500,
"provider_dispute_id": "aaaaaaaa-bbbb-4ccc-8ddd-eeeeeeeeeeee",
"dispute_details": "the reporting institution describes an unauthorised transfer",
"deadline_at": null,
"concluded_at": null,
"created_at": "2026-08-05T15:16:57.000Z",
"updated_at": "2026-08-05T15:16:57.000Z"
}
],
"pagination": {
"page": 1,
"limit": 20,
"total": 50,
"totalPages": 3,
"hasNext": true,
"hasPrev": false
}
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "Validation error",
"status": 400,
"details": {
"issues": [
{
"field": "email",
"type": "REQUIRED",
"message": "Field 'email' is required",
"value": "invalid_value",
"constraints": {
"min": 18,
"max": 120
}
}
]
},
"path": "/companies",
"timestamp": "2023-12-01T10:00:00.000Z",
"requestId": "req_123456789"
}
}{
"error": {
"code": "AUTHENTICATION_ERROR",
"message": "Authentication required to access this resource",
"status": 401,
"details": {
"reason": "Invalid API key"
},
"path": "/companies/me",
"timestamp": "2023-12-01T10:00:00.000Z",
"requestId": "req_123456789"
}
}{
"error": {
"code": "AUTHORIZATION_ERROR",
"message": "You need 'admin' permissions to access this resource",
"status": 403,
"path": "/companies",
"timestamp": "2023-12-01T10:00:00.000Z",
"requestId": "req_123456789"
}
}{
"error": {
"code": "INTERNAL_SERVER_ERROR",
"message": "An unexpected error occurred",
"status": 500,
"path": "/companies",
"timestamp": "2023-12-01T10:00:00.000Z",
"requestId": "req_123456789"
}
}Company Disputes
Get disputes
Requires the dispute.list permission.
Returns a paginated list of disputes filed against the authenticated company.
GET
/
v1
/
disputes
Get disputes
Authorizations
Company API key for authentication
Query Parameters
Page number for pagination
Required range:
x >= 1Number of disputes per page
Required range:
1 <= x <= 100Filter by the disputed transaction ID
Comma-separated list of statuses to filter by.
Available options:
OPEN, UNDER_REVIEW, CLOSED Comma-separated list of outcomes to filter by.
Available options:
UPHELD, DISMISSED, WITHDRAWN Comma-separated list of dispute types to filter by.
Available options:
PIX_INFRACTION, CHARGEBACK Start creation datetime (inclusive)
End creation datetime (inclusive)
Multi-field sort string (e.g., -created_at,amount). Allowed fields: created_at, amount. Defaults to -created_at.
Available options:
created_at, amount, -created_at, -amount 
